<bugID>324209<Summary>Default new tab/window preference is not respected until manually set</Summary><Description>Sorry for the badly worded summary, I couldn't think how to accurately describe this, but it's hopefully of no real consequence being that it's a follow-up bug.

Steps to reproduce:
1. Create a new profile.
2. Navigate your way to Tools &gt; Options &gt; Tabs.
3. Note that the new window -&gt; window/tab setting is set to "new tabs in the most recent window". Don't click on anything except "OK" or "Close" and thus exit the preferences UI
4. Go to http://forums.mozillazine.org/viewtopic.php?t=370221
5. Click any of links within the post (i.e. "Please file good memory leak bugs").

Expected results:
 - New tab

Actual results:
 - New window

If you click on the radiobutton for "new tabs in the most recent window" and then click "OK" (or "Close", whichever applies to you) and repeat the testcase, a new tab is opened as expected. 

I think all that needs doing here is to set browser.link.open_newwindow to 3 by default, since this is what clicking the preference radiobutton accomplishes.</Description></bugID>